Skip to main content
v1

Update process runtime configuration.

POST /v1/processes/config: request parameters and responses.

POST /v1/processes/config

Replaces the runtime configuration for the process management API. Validates that all values are non-zero and clamps default timeout to max.

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProcessConfig"
  }
}

Related schemas: ProcessConfig.

Responses

200

Updated runtime process config

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProcessConfig"
  }
}

Related schemas: ProcessConfig.

400

Invalid config

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

501

Process API unsupported on this platform

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.